package ogloszenia.soap;

import jakarta.jws.WebParam;
import jakarta.jws.WebResult;
import jakarta.jws.WebService;
import ogloszenia.baza.sqlite.DostepDoBazySqlite;
import ogloszenia.baza.sqlite.OgloszenieDAO;
import ogloszenia.exn.BladBazyDanych;
import ogloszenia.exn.NieznanyRekord;
import ogloszenia.model.OgloszenieSamochodowe;

import java.util.List;

@WebService
public class Ogloszenia {

    @WebResult(name="ogloszenie")
    public List<OgloszenieSamochodowe> readAll() throws BladBazyDanych {
        try (DostepDoBazySqlite db = DostepDoBazySqlite.newSQLite()) {
            OgloszenieDAO dao = db.newOgloszenieDAO();
            return dao.readAllFull();
        }
    }

    @WebResult(name="ogloszenie")
    public OgloszenieSamochodowe readOne(@WebParam(name="id") int idOgloszenia) throws BladBazyDanych, NieznanyRekord {
        try (DostepDoBazySqlite db = DostepDoBazySqlite.newSQLite()) {
            OgloszenieDAO dao = db.newOgloszenieDAO();
            return dao.findByIdFull(idOgloszenia);
        }
    }
}
